"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummarySerializer = void 0;
const runtime_utils_1 = require("@fluidframework/runtime-utils");
/**
 * Serializer implementation for serializing handles during summary.
 */
class SummarySerializer extends runtime_utils_1.FluidSerializer {
    constructor() {
        super(...arguments);
        this.serializedRoutes = new Set();
    }
    getSerializedRoutes() {
        return Array.from(this.serializedRoutes);
    }
    serializeHandle(handle, bind) {
        this.serializedRoutes.add(handle.absolutePath);
        return super.serializeHandle(handle, bind);
    }
}
exports.SummarySerializer = SummarySerializer;
//# sourceMappingURL=summarySerializer.js.map